Alétheia
========

[Alétheia](http://en.wikipedia.org/wiki/Aletheia), greek for *truth*, is a fully responsive, customizable, translation-ready and extendable child theme for WordPress. As [Follet](https://github.com/andrezrv/), its parent theme, Alétheia is SEO friendly via HTML5 standards and [schema.org](http://schema.org) microdata, compatible with all post formats, and customizable via [WordPress Customizer](https://codex.wordpress.org/Theme_Customization_API). It also features primary and secondary optional colors, intelligent widget areas, which won't show when no widgets are attached to them, and a lot of easy-to-use options under the hood to activate and extend. Clean and lean PHP, HTML, CSS and JS code, written by [WordPress Coding Standards](http://codex.wordpress.org/WordPress_Coding_Standards). Works impressively well right out of the box.

![Image](screenshot.png?raw=true)

## Main Features

* Built on [Bootstrap 3](http://getbootstrap.com/) for a great responsive experience with any device your visitors use.
* Really SEO friendly with the implementation of current HTML5 standards and [schema.org](http://schema.org) microdata.
* Custom header and background images and colors.
* Top navigation including custom menu, alternative color scheme, fix-to-top feature and optional searchform.
* Bottom navigation including custom menu with social media support and customizable credits.
* Intelligent primary sidebar that won't show if no widgets are attached to it.
* Intelligent footer with three widget areas that won't show if no widgets are attached to them.
* Customizable primary and secondary colors.
* Easily readable content with implementation of [Open Sans](http://www.google.com/fonts/specimen/Open+Sans) (body text) and [Neuton](http://www.google.com/fonts/specimen/Neuton) (titles) via [Google Fonts](http://www.google.com/fonts).
* Consistent icons rendered through [Dashicons](http://melchoyce.github.io/dashicons/) and [Genericons](http://genericons.com/).
* Special template for landing pages.
* Back-to-top button with a nice and smooth animation.
* Full support for [editor styles](https://codex.wordpress.org/Editor_Style), so you'll never have to leave the editor to see what your posts will look like. What you see while writing will be the same you'll see after you publish your content.
* Breadcrumbs, so your visitors can always find their way back home :)
* Threaded comments up to 10 levels, the maximum available by default.
* Responsive YouTube and Vimeo videos.
* Support for paginated comments.
* Support for paginated posts.
* Support for all post formats.
* Support for featured images.
* Support for sticky posts.
* Support for all [Jetpack](http://jetpack.me/) modules, specially [Infinite Scroll](http://jetpack.me/support/infinite-scroll/), [Contact Form](http://jetpack.me/support/contact-form/), [Extra Sidebar Widgets](http://jetpack.me/support/extra-sidebar-widgets/), [Sharing](http://jetpack.me/support/sharing/), [Carousel](http://jetpack.me/support/carousel/) and [Tiled Galleries](http://jetpack.me/support/tiled-galleries/).
* Support for [WooCommerce](https://wordpress.org/plugins/woocommerce/) shopping cart.
* Languages included: English (en_US), Spanish (es_ES).

## Even More Features for Developers

* Translation-ready, so you can add your own language by creating a new translation from the provided POT file.
* Built on top of [Follet](http://github.com/andrezrv/follet/), a highly customizable parent theme, and [Follet Core](http://github.com/andrezrv/follet-core/), a simple and lightweight but powerful framework based on [_s](http://underscores.me/) and meant to create rock solid themes using WordPress best practices.
* Fragmented CSS compiled from available SCSS ([SASS](http://sass-lang.com/)) files, so you can easily reuse CSS files in your child themes.
* [Pluggable template tags](http://codex.wordpress.org/Pluggable_Functions), so you can override any function you need.
* Lots of [hooks](http://codex.wordpress.org/Plugin_API/Hooks), so you can add and modify anything you want.
* Lots of valuable features under the hood: custom logo, author avatar, author information, extra contact methods, hide top navigation, hide primary sidebar, hide footer, hide footer wiget areas, hide credits.
* Coded by [WordPress Coding Standards](http://codex.wordpress.org/WordPress_Coding_Standards).

## Installation

1. `git clone --recursive git@github.com:andrezrv/follet.git` and `git clone --recursive git@github.com:andrezrv/aletheia.git` into `/wp-content/themes/`.
2. Activate Alétheia through the *Appearance > Themes* menu in WordPress.

## Contributing

If you feel like you want to help this project by adding something you think useful, you can make your pull request against the master branch :)

## Donating

This theme took a lot of work. If it is helpful to you on a regular basis, you may want to consider [making a donation](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=B7XQG5ZA36UZ4). I'll be really thankful with that, and try my best to provide a great support for all the people who use it :). Donations are processed securely via [Paypal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=B7XQG5ZA36UZ4).